javax.resource.spi

## Annotation Type ConnectionDefinition

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface ConnectionDefinition

  Defines a set of connection interfaces and classes pertaining to a particular connection type. This annotation can be placed only on a JavaBean that implements the `ManagedConnectionFactory` interface.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.Class` | `connection` Specifies the Connection interface supported by the resource adapter.
    `java.lang.Class` | `connectionFactory` Specifies the ConnectionFactory interface supported by the resource adapter.
    `java.lang.Class` | `connectionFactoryImpl` Specifies the Class provided by the resource adapter that implements the resource adapter specific ConnectionFactory interface.
    `java.lang.Class` | `connectionImpl` Specifies the class provided by the resource adapter that implements the resource adapter specific Connection interface.

- - ### Element Detail

    - #### connectionFactory

          public abstract java.lang.Class connectionFactory

      Specifies the ConnectionFactory interface supported by the resource adapter. Example: javax.resource.cci.ConnectionFactory or com.wombat.ConnectionFactory

  - - #### connectionFactoryImpl

          public abstract java.lang.Class connectionFactoryImpl

      Specifies the Class provided by the resource adapter that implements the resource adapter specific ConnectionFactory interface. Example: com.wombat.ConnectionFactoryImpl

  - - #### connection

          public abstract java.lang.Class connection

      Specifies the Connection interface supported by the resource adapter. Example: javax.resource.cci.Connection or com.wombat.Connection

  - - #### connectionImpl

          public abstract java.lang.Class connectionImpl

      Specifies the class provided by the resource adapter that implements the resource adapter specific Connection interface. Example: com.wombat.ConnectionImpl

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)